use serde::{Deserialize, Serialize};

/// Label associated to an issue or a comment
#[derive(Clone, Debug, Serialize, Deserialize, Default)]
pub struct Label  {
    /// Unique identifier of the label
    pub index: usize,

    /// Name of the label, unique within the repository
    pub name: String,

    /// Color code of the label
    pub color: String,

    /// Long, multi-line description
    pub description: Option<String>,
}
