use serde::{Deserialize, Serialize};

/// A forge user
#[derive(Clone, Debug, Serialize, Deserialize, Default)]
pub struct User  {
    /// Unique identifier of the user
    pub index: usize,

    /// User readable name of the user
    pub name: String,

    /// Unique name readable name of the user
    pub username: String,

    /// Mail of the user
    pub email: Option<String>,

    /// Password of the user
    pub password: String,
}
